Index: trunk/sources/HeuristicLab.Hive.Client.Console/HiveClientConsole.Designer.cs
===================================================================
--- trunk/sources/HeuristicLab.Hive.Client.Console/HiveClientConsole.Designer.cs	(revision 1162)
+++ trunk/sources/HeuristicLab.Hive.Client.Console/HiveClientConsole.Designer.cs	(revision 1163)
@@ -46,9 +46,10 @@
     private void InitializeComponent() {
       this.components = new System.ComponentModel.Container();
-      Calendar.DrawTool drawTool5 = new Calendar.DrawTool();
+      Calendar.DrawTool drawTool1 = new Calendar.DrawTool();
       System.ComponentModel.ComponentResourceManager resources = new System.ComponentModel.ComponentResourceManager(typeof(HiveClientConsole));
       this.dvOnline = new Calendar.DayView();
       this.tcClientConsole = new System.Windows.Forms.TabControl();
       this.tpConnection = new System.Windows.Forms.TabPage();
+      this.groupBox2 = new System.Windows.Forms.GroupBox();
       this.btn_clientShutdown = new System.Windows.Forms.Button();
       this.gbServerConnection = new System.Windows.Forms.GroupBox();
@@ -88,8 +89,8 @@
       this.pictureBox1 = new System.Windows.Forms.PictureBox();
       this.groupBox1 = new System.Windows.Forms.GroupBox();
+      this.chbade = new System.Windows.Forms.CheckBox();
+      this.button1 = new System.Windows.Forms.Button();
       this.txtTimeTo = new System.Windows.Forms.TextBox();
-      this.label3 = new System.Windows.Forms.Label();
       this.txttimeFrom = new System.Windows.Forms.TextBox();
-      this.lblTimeFrame = new System.Windows.Forms.Label();
       this.btbDelete = new System.Windows.Forms.Button();
       this.txtTo = new System.Windows.Forms.TextBox();
@@ -99,7 +100,7 @@
       this.btCreate = new System.Windows.Forms.Button();
       this.mcOnline = new System.Windows.Forms.MonthCalendar();
-      this.groupBox2 = new System.Windows.Forms.GroupBox();
       this.tcClientConsole.SuspendLayout();
       this.tpConnection.SuspendLayout();
+      this.groupBox2.SuspendLayout();
       this.gbServerConnection.SuspendLayout();
       this.gbJobCommon.SuspendLayout();
@@ -110,11 +111,10 @@
       ((System.ComponentModel.ISupportInitialize)(this.pictureBox1)).BeginInit();
       this.groupBox1.SuspendLayout();
-      this.groupBox2.SuspendLayout();
       this.SuspendLayout();
       // 
       // dvOnline
       // 
-      drawTool5.DayView = this.dvOnline;
-      this.dvOnline.ActiveTool = drawTool5;
+      drawTool1.DayView = this.dvOnline;
+      this.dvOnline.ActiveTool = drawTool1;
       this.dvOnline.AmPmDisplay = false;
       this.dvOnline.AppointmentHeightMode = Calendar.AppHeightDrawMode.TrueHeightAll;
@@ -135,4 +135,5 @@
       this.dvOnline.StartDate = new System.DateTime(((long)(0)));
       this.dvOnline.TabIndex = 18;
+      this.dvOnline.OnSelectionChanged += new System.EventHandler<System.EventArgs>(this.dvOnline_OnSelectionChanged);
       // 
       // tcClientConsole
@@ -163,4 +164,14 @@
       this.tpConnection.UseVisualStyleBackColor = true;
       // 
+      // groupBox2
+      // 
+      this.groupBox2.Controls.Add(this.btn_clientShutdown);
+      this.groupBox2.Location = new System.Drawing.Point(746, 8);
+      this.groupBox2.Name = "groupBox2";
+      this.groupBox2.Size = new System.Drawing.Size(86, 131);
+      this.groupBox2.TabIndex = 16;
+      this.groupBox2.TabStop = false;
+      this.groupBox2.Text = "Shutdown";
+      // 
       // btn_clientShutdown
       // 
@@ -214,4 +225,5 @@
       this.tbPort.Size = new System.Drawing.Size(229, 20);
       this.tbPort.TabIndex = 3;
+      this.tbPort.KeyPress += new System.Windows.Forms.KeyPressEventHandler(this.Connection_KeyPress);
       // 
       // tbIPAdress
@@ -221,4 +233,5 @@
       this.tbIPAdress.Size = new System.Drawing.Size(229, 20);
       this.tbIPAdress.TabIndex = 2;
+      this.tbIPAdress.KeyPress += new System.Windows.Forms.KeyPressEventHandler(this.Connection_KeyPress);
       // 
       // lbServerIPCaption
@@ -493,7 +506,7 @@
       // 
       this.pictureBox1.Image = global::HeuristicLab.Hive.Client.Console.Properties.Resources.schedule;
-      this.pictureBox1.Location = new System.Drawing.Point(586, 12);
+      this.pictureBox1.Location = new System.Drawing.Point(633, 12);
       this.pictureBox1.Name = "pictureBox1";
-      this.pictureBox1.Size = new System.Drawing.Size(246, 155);
+      this.pictureBox1.Size = new System.Drawing.Size(199, 155);
       this.pictureBox1.SizeMode = System.Windows.Forms.PictureBoxSizeMode.StretchImage;
       this.pictureBox1.TabIndex = 22;
@@ -502,8 +515,8 @@
       // groupBox1
       // 
+      this.groupBox1.Controls.Add(this.chbade);
+      this.groupBox1.Controls.Add(this.button1);
       this.groupBox1.Controls.Add(this.txtTimeTo);
-      this.groupBox1.Controls.Add(this.label3);
       this.groupBox1.Controls.Add(this.txttimeFrom);
-      this.groupBox1.Controls.Add(this.lblTimeFrame);
       this.groupBox1.Controls.Add(this.btbDelete);
       this.groupBox1.Controls.Add(this.txtTo);
@@ -512,48 +525,49 @@
       this.groupBox1.Controls.Add(this.label1);
       this.groupBox1.Controls.Add(this.btCreate);
-      this.groupBox1.Location = new System.Drawing.Point(354, 7);
+      this.groupBox1.Location = new System.Drawing.Point(353, 7);
       this.groupBox1.Name = "groupBox1";
-      this.groupBox1.Size = new System.Drawing.Size(215, 161);
+      this.groupBox1.Size = new System.Drawing.Size(274, 161);
       this.groupBox1.TabIndex = 21;
       this.groupBox1.TabStop = false;
-      this.groupBox1.Text = "Create";
+      // 
+      // chbade
+      // 
+      this.chbade.AutoSize = true;
+      this.chbade.Location = new System.Drawing.Point(105, 91);
+      this.chbade.Name = "chbade";
+      this.chbade.Size = new System.Drawing.Size(90, 17);
+      this.chbade.TabIndex = 31;
+      this.chbade.Text = "All Day Event";
+      this.chbade.UseVisualStyleBackColor = true;
+      this.chbade.CheckedChanged += new System.EventHandler(this.chbade_CheckedChanged);
+      // 
+      // button1
+      // 
+      this.button1.Location = new System.Drawing.Point(189, 129);
+      this.button1.Name = "button1";
+      this.button1.Size = new System.Drawing.Size(75, 26);
+      this.button1.TabIndex = 30;
+      this.button1.Text = "Recurrence";
+      this.button1.UseVisualStyleBackColor = true;
       // 
       // txtTimeTo
       // 
-      this.txtTimeTo.Location = new System.Drawing.Point(166, 89);
+      this.txtTimeTo.Location = new System.Drawing.Point(192, 65);
       this.txtTimeTo.Name = "txtTimeTo";
-      this.txtTimeTo.Size = new System.Drawing.Size(31, 20);
+      this.txtTimeTo.Size = new System.Drawing.Size(41, 20);
       this.txtTimeTo.TabIndex = 29;
       // 
-      // label3
-      // 
-      this.label3.AutoSize = true;
-      this.label3.Location = new System.Drawing.Point(137, 92);
-      this.label3.Name = "label3";
-      this.label3.Size = new System.Drawing.Size(23, 13);
-      this.label3.TabIndex = 28;
-      this.label3.Text = "To:";
-      // 
       // txttimeFrom
       // 
-      this.txttimeFrom.Location = new System.Drawing.Point(90, 89);
+      this.txttimeFrom.Location = new System.Drawing.Point(192, 31);
       this.txttimeFrom.Name = "txttimeFrom";
-      this.txttimeFrom.Size = new System.Drawing.Size(31, 20);
+      this.txttimeFrom.Size = new System.Drawing.Size(41, 20);
       this.txttimeFrom.TabIndex = 27;
       // 
-      // lblTimeFrame
-      // 
-      this.lblTimeFrame.AutoSize = true;
-      this.lblTimeFrame.Location = new System.Drawing.Point(51, 92);
-      this.lblTimeFrame.Name = "lblTimeFrame";
-      this.lblTimeFrame.Size = new System.Drawing.Size(33, 13);
-      this.lblTimeFrame.TabIndex = 26;
-      this.lblTimeFrame.Text = "From:";
-      // 
       // btbDelete
       // 
-      this.btbDelete.Location = new System.Drawing.Point(132, 129);
+      this.btbDelete.Location = new System.Drawing.Point(100, 129);
       this.btbDelete.Name = "btbDelete";
-      this.btbDelete.Size = new System.Drawing.Size(65, 26);
+      this.btbDelete.Size = new System.Drawing.Size(75, 26);
       this.btbDelete.TabIndex = 25;
       this.btbDelete.Text = "Delete";
@@ -563,7 +577,7 @@
       // txtTo
       // 
-      this.txtTo.Location = new System.Drawing.Point(54, 54);
+      this.txtTo.Location = new System.Drawing.Point(105, 62);
       this.txtTo.Name = "txtTo";
-      this.txtTo.Size = new System.Drawing.Size(143, 20);
+      this.txtTo.Size = new System.Drawing.Size(66, 20);
       this.txtTo.TabIndex = 24;
       // 
@@ -571,15 +585,15 @@
       // 
       this.label2.AutoSize = true;
-      this.label2.Location = new System.Drawing.Point(15, 57);
+      this.label2.Location = new System.Drawing.Point(41, 65);
       this.label2.Name = "label2";
-      this.label2.Size = new System.Drawing.Size(23, 13);
+      this.label2.Size = new System.Drawing.Size(55, 13);
       this.label2.TabIndex = 23;
-      this.label2.Text = "To:";
+      this.label2.Text = "End Time:";
       // 
       // txtFrom
       // 
-      this.txtFrom.Location = new System.Drawing.Point(54, 23);
+      this.txtFrom.Location = new System.Drawing.Point(105, 31);
       this.txtFrom.Name = "txtFrom";
-      this.txtFrom.Size = new System.Drawing.Size(143, 20);
+      this.txtFrom.Size = new System.Drawing.Size(66, 20);
       this.txtFrom.TabIndex = 22;
       // 
@@ -587,15 +601,15 @@
       // 
       this.label1.AutoSize = true;
-      this.label1.Location = new System.Drawing.Point(15, 26);
+      this.label1.Location = new System.Drawing.Point(41, 34);
       this.label1.Name = "label1";
-      this.label1.Size = new System.Drawing.Size(33, 13);
+      this.label1.Size = new System.Drawing.Size(58, 13);
       this.label1.TabIndex = 21;
-      this.label1.Text = "From:";
+      this.label1.Text = "Start Time:";
       // 
       // btCreate
       // 
-      this.btCreate.Location = new System.Drawing.Point(54, 129);
+      this.btCreate.Location = new System.Drawing.Point(11, 129);
       this.btCreate.Name = "btCreate";
-      this.btCreate.Size = new System.Drawing.Size(58, 26);
+      this.btCreate.Size = new System.Drawing.Size(75, 26);
       this.btCreate.TabIndex = 20;
       this.btCreate.Text = "Save";
@@ -610,14 +624,4 @@
       this.mcOnline.TabIndex = 19;
       this.mcOnline.DateChanged += new System.Windows.Forms.DateRangeEventHandler(this.mcOnline_DateChanged);
-      // 
-      // groupBox2
-      // 
-      this.groupBox2.Controls.Add(this.btn_clientShutdown);
-      this.groupBox2.Location = new System.Drawing.Point(746, 8);
-      this.groupBox2.Name = "groupBox2";
-      this.groupBox2.Size = new System.Drawing.Size(86, 131);
-      this.groupBox2.TabIndex = 16;
-      this.groupBox2.TabStop = false;
-      this.groupBox2.Text = "Shutdown";
       // 
       // HiveClientConsole
@@ -634,4 +638,5 @@
       this.tcClientConsole.ResumeLayout(false);
       this.tpConnection.ResumeLayout(false);
+      this.groupBox2.ResumeLayout(false);
       this.gbServerConnection.ResumeLayout(false);
       this.gbServerConnection.PerformLayout();
@@ -645,5 +650,4 @@
       this.groupBox1.ResumeLayout(false);
       this.groupBox1.PerformLayout();
-      this.groupBox2.ResumeLayout(false);
       this.ResumeLayout(false);
 
@@ -700,8 +704,8 @@
     private System.Windows.Forms.Button btbDelete;
     private System.Windows.Forms.TextBox txttimeFrom;
-    private System.Windows.Forms.Label lblTimeFrame;
     private System.Windows.Forms.TextBox txtTimeTo;
-    private System.Windows.Forms.Label label3;
     private System.Windows.Forms.GroupBox groupBox2;
+    private System.Windows.Forms.Button button1;
+    private System.Windows.Forms.CheckBox chbade;
   }
 }
Index: trunk/sources/HeuristicLab.Hive.Client.Console/HiveClientConsole.cs
===================================================================
--- trunk/sources/HeuristicLab.Hive.Client.Console/HiveClientConsole.cs	(revision 1162)
+++ trunk/sources/HeuristicLab.Hive.Client.Console/HiveClientConsole.cs	(revision 1163)
@@ -35,4 +35,5 @@
 using System.Net;
 using Calendar;
+using System.Globalization;
 
 namespace HeuristicLab.Hive.Client.Console {
@@ -188,22 +189,13 @@
     }
 
-    void DvOnline_OnResolveAppointments(object sender, ResolveAppointmentsEventArgs e) {
-      List<Appointment> Apps = new List<Appointment>();
-
-      foreach (Appointment m_App in onlineTimes)
-        if ((m_App.StartDate >= e.StartDate) &&
-            (m_App.StartDate <= e.EndDate))
-          Apps.Add(m_App);
-
-      e.Appointments = Apps;
-    }
-
-    void DvOnline_OnNewAppointment(object sender, NewAppointmentEventArgs e) {
-      Appointment Appointment = new Appointment();
-
-      Appointment.StartDate = e.StartDate;
-      Appointment.EndDate = e.EndDate;
-
-      onlineTimes.Add(Appointment);
+    private Appointment CreateAppointment(DateTime startDate, DateTime endDate, bool allDay) {
+      Appointment App = new Appointment();
+      App.StartDate = startDate;
+      App.EndDate = endDate;
+      App.AllDayEvent = allDay;
+      App.BorderColor = Color.Red;
+      App.Locked = true;
+      App.Subject = "Online";
+      return App;
     }
 
@@ -356,47 +348,4 @@
     }
 
-    #endregion
-
-    private void mcOnline_DateChanged(object sender, DateRangeEventArgs e) {
-      dvOnline.StartDate = mcOnline.SelectionStart;
-    }
-
-    private void btCreate_Click(object sender, EventArgs e) {
-
-      if (string.IsNullOrEmpty(txtFrom.Text)) {
-        Appointment App = new Appointment();
-        App.StartDate = dvOnline.SelectionStart;
-        App.EndDate = dvOnline.SelectionEnd;
-        App.BorderColor = Color.Red;
-        App.Locked = true;
-        App.Subject = "Online";
-        onlineTimes.Add(App);
-      } else if (string.IsNullOrEmpty(txtTimeTo.Text)) {
-        Appointment App = new Appointment();
-        App.StartDate = DateTime.Parse(txtFrom.Text);
-        App.EndDate = DateTime.Parse(txtTo.Text);
-        App.BorderColor = Color.Red;
-        App.Locked = true;
-        App.Subject = "Online";
-        onlineTimes.Add(App);
-      } else {
-        DateTime from = DateTime.Parse(txtFrom.Text);
-        DateTime to = DateTime.Parse(txtTo.Text);
-
-        while (from.Date != to.Date) {
-          Appointment App = new Appointment();
-          App.StartDate = new DateTime(from.Year, from.Month, from.Day, int.Parse(txttimeFrom.Text), 0,0);
-          App.EndDate = new DateTime(from.Year, from.Month, from.Day, int.Parse(txtTimeTo.Text), 0, 0);
-          App.BorderColor = Color.Red;
-          App.Locked = true;
-          App.Subject = "Online";
-          onlineTimes.Add(App);
-          from = from.AddDays(1);
-        }
-      }
-      
-      dvOnline.Invalidate();
-    }
-
     private void btbDelete_Click(object sender, EventArgs e) {
       if (dvOnline.SelectedAppointment != null)
@@ -405,4 +354,85 @@
     }
 
+    private void chbade_CheckedChanged(object sender, EventArgs e) {
+      if (chbade.Checked) {
+        txttimeFrom.Visible = false;
+        txtTimeTo.Visible = false;
+      } else {
+        txttimeFrom.Visible = true;
+        txtTimeTo.Visible = true;
+      }
+    }
+
+    private void dvOnline_OnSelectionChanged(object sender, EventArgs e) {
+      if (dvOnline.Selection == SelectionType.DateRange) {
+        txtFrom.Text = dvOnline.SelectionStart.ToShortDateString();
+        txtTo.Text = dvOnline.SelectionEnd.Date.ToShortDateString();
+        txttimeFrom.Text = dvOnline.SelectionStart.ToShortTimeString();
+        txtTimeTo.Text = dvOnline.SelectionEnd.ToShortTimeString();
+      }
+    }
+
+    private void Connection_KeyPress(object sender, KeyPressEventArgs e) {
+      if (e.KeyChar == (char)Keys.Return)
+        btConnect_Click(null, null);
+    }
+
+    private void mcOnline_DateChanged(object sender, DateRangeEventArgs e) {
+      dvOnline.StartDate = mcOnline.SelectionStart;
+    }
+
+    private void btCreate_Click(object sender, EventArgs e) {
+      DateTime from, to;
+
+      if (!string.IsNullOrEmpty(txtFrom.Text) && !string.IsNullOrEmpty(txtTo.Text)) {
+        if (chbade.Checked) {
+          //whole day appointment, only dates are visible
+          if (DateTime.TryParse(txtFrom.Text + " " + txttimeFrom.Text, out from) && DateTime.TryParse(txtTo.Text + " " + txtTimeTo.Text, out to) && from < to)
+            onlineTimes.Add(CreateAppointment(from, to.AddDays(1), true));
+          else
+            MessageBox.Show("Incorrect date format", "Schedule Error", MessageBoxButtons.OK, MessageBoxIcon.Error);
+        } else if (!string.IsNullOrEmpty(txttimeFrom.Text) && !string.IsNullOrEmpty(txtTimeTo.Text)) {
+          //Timeframe appointment
+          if (DateTime.TryParse(txtFrom.Text + " " + txttimeFrom.Text, out from) && DateTime.TryParse(txtTo.Text + " " + txtTimeTo.Text, out to) && from < to) {
+            if (from.Date == to.Date)
+              onlineTimes.Add(CreateAppointment(from, to, false));
+            else {
+              //more than 1 day selected
+              while (from.Date != to.Date) {
+                onlineTimes.Add(CreateAppointment(from, new DateTime(from.Year, from.Month, from.Day, to.Hour, to.Minute, 0, 0), false));
+                from = from.AddDays(1);
+              }
+              onlineTimes.Add(CreateAppointment(from, new DateTime(from.Year, from.Month, from.Day, to.Hour, to.Minute, 0, 0), false));
+            }
+          } else
+            MessageBox.Show("Incorrect date format", "Schedule Error", MessageBoxButtons.OK, MessageBoxIcon.Error);
+        }
+        dvOnline.Invalidate();
+      } else {
+        MessageBox.Show("Error in create appointment, please fill out all textboxes!", "Schedule Error", MessageBoxButtons.OK, MessageBoxIcon.Error);
+      }
+    }
+
+    void DvOnline_OnResolveAppointments(object sender, ResolveAppointmentsEventArgs e) {
+      List<Appointment> Apps = new List<Appointment>();
+
+      foreach (Appointment m_App in onlineTimes)
+        if ((m_App.StartDate >= e.StartDate) &&
+            (m_App.StartDate <= e.EndDate))
+          Apps.Add(m_App);
+
+      e.Appointments = Apps;
+    }
+
+    void DvOnline_OnNewAppointment(object sender, NewAppointmentEventArgs e) {
+      Appointment Appointment = new Appointment();
+
+      Appointment.StartDate = e.StartDate;
+      Appointment.EndDate = e.EndDate;
+
+      onlineTimes.Add(Appointment);
+    }
+
+    #endregion
   }
 }
Index: trunk/sources/HeuristicLab.Hive.Client.Console/HiveClientConsole.resx
===================================================================
--- trunk/sources/HeuristicLab.Hive.Client.Console/HiveClientConsole.resx	(revision 1162)
+++ trunk/sources/HeuristicLab.Hive.Client.Console/HiveClientConsole.resx	(revision 1163)
@@ -127,44 +127,44 @@
         ZW0uV2luZG93cy5Gb3Jtcy5JbWFnZUxpc3RTdHJlYW1lcgEAAAAERGF0YQcCAgAAAAkDAAAADwMAAABS
         CgAAAk1TRnQBSQFMAgEBAgEAAQQBAAEEAQABEAEAARABAAT/ASEBAAj/AUIBTQE2BwABNgMAASgDAAFA
-        AwABEAMAAQEBAAEgBgABECoAAUMCAQF0AVsCCQHxAxEB/wFiAgMB1AEgAgEBLCwAAUMCAQF0AVsCCQHx
-        AxEB/wFiAgMB1AEgAgEBLKQAAVsCCgHyAZMBawERAf8BvwGBAREB/wG9AYEBEQH/AboBfgERAf8BuAF7
-        AREB/wG2AXkBEQH/AUUBLgERAf8BPQIBAWUcAAFbAgoB8gIRAaQB/wIRAdYB/wIRAdQB/wIRAdIB/wIR
-        AdAB/wIRAc4B/wIRAUwB/wE9AgEBZZgAARsBFwERAf8BxwGBAREB/wHDAYEBEQH/AbEBcwERAf8BsQFz
-        AREB/wGxAXMBEQH/AbEBcwERAf8BswF1AREB/wG2AXkBEQH/AbQBdgERAf8BYgIFAeQUAAIRARwB/wIR
-        AdwB/wIRAdkB/wIRAcoB/wIRAcoB/wIRAcoB/wIRAcoB/wIRAcsB/wIRAc4B/wIRAcwB/wFiAgUB5JAA
-        AxEB/wHLAYEBEQH/AbsBfwERAf8BtgF5AREB/wG2AXkBEQH/Ae4B3AHEBf8BvgGBAS4B/wG2AXkBEQH/
-        AbYBeQERAf8BtgF5AREB/wG0AXYBEQH/AUkCAgGGDAADEQH/AhEB4AH/AhEB0gH/AhEBzgH/Aj4B1gH/
-        AhEBzgH/AhEBzgH/AhEBzgH/AhQBzgH/AhEBzgH/AhEBzgH/AhEBzAH/AUkCAgGGiAABLAIBAUIB0AGG
-        AREB/wHHAYEBEQH/AboBfgERAf8BugF+AREB/wG6AX4BEQH/AdABnAFiBf8BugF+AREB/wG6AX4BEQH/
-        AboBfgERAf8BugF+AREB/wG2AXkBEQH/AWUBQAERAf8IAAEsAgEBQgIRAeQB/wIRAdwB/wIRAdIB/wKf
-        Ae0F/wJXAd4B/wIRAdIB/wL0Af0F/wIUAdIB/wIRAdIB/wIRAc4B/wIRAXAB/4gAAxEB/wHSAYkBEQH/
-        Ab8BgQERAf8BvwGBAREB/wG/AYEBEQH/Ab8BgQERAf8B0wGfAWIF/wG/AYEBEQH/Ab8BgQERAf8BvwGB
-        AREB/wG/AYEBEQH/Ab4BgQERAf8BtgF5AREB/wE2AgEBVwQAAxEB/wIRAeUB/wIRAdYB/wIRAdYN/wL1
-        Af0J/wLiAfoB/wIRAdYB/wIRAdUB/wIRAc4B/wE2AgEBV4QAAVkBQQERAf8B1AGMAREB/wHEAYEBEQH/
-        AcQBgQERAf8BxAGBAREB/wHEAYEBEQH/AdcBpAFjBf8BxAGBAREB/wHEAYEBEQH/AcQBgQERAf8BxAGB
-        AREB/wHEAYEBEQH/AbgBewERAf8BYAIHAewEAAIRAV8B/wIRAegB/wIRAdoB/wIRAdoB/wIRAdoR/wLi
-        AfoB/wIRAdoB/wIRAdoB/wIRAdoB/wIRAdAB/wFgAgcB7IQAAXkBVgERAf8B1wGOAREB/wHJAYEBEQH/
-        AckBgQERAf8ByQGBAREB/wHJAYEBEQn/AckBgQERAf8ByQGBAREB/wHJAYEBEQH/AckBgQERAf8ByQGB
-        AREB/wG6AX4BEQH/AxEB/wQAAhEBgQH/AhEB6QH/AhEB3gH/AhEB3gH/AhEB3gH/AvQB/Q3/AlcB5wH/
-        AhEB3gH/AhEB3gH/AhEB3gH/AhEB0gH/AxEB/4QAAWkBRwERAf8B2QGRAREB/wHOAYMBEQH/Ac4BgwER
-        Af8BzgGDAREB/wHOAYMBEQH/Ac4BgwERAf8B1wGcAUIB/wHOAYMBEQH/Ac4BgwERAf8BzgGDAREB/wHO
-        AYMBEQH/Ac4BgwERAf8BvQGBAREB/wFAAhEB+QQAAREBFgFoAf8CEQHsAf8CEQHiAf8CEQHiAf8C9AH9
-        Ff8CVwHqAf8CEQHiAf8CEQHiAf8CEQHUAf8BQAIRAfmEAAEUARIBEQH/AdsBlAERAf8B0gGJAREB/wHS
-        AYkBEQH/AdIBiQERAf8B0gGJAREB/wHSAYkBEQH/AesBywGQAf8B0gGJAREB/wHSAYkBEQH/AdIBiQER
-        Af8B0gGJAREB/wHEAYEBEQH/Ab8BgQERAf8BUQICAZsEAAIRARQB/wIRAe0B/wIRAeYB/wIRAeUB/wL9
-        Af4F/wLiAfwB/wIRAeUJ/wKBAfEB/wIRAeUB/wIRAdoB/wIRAdYB/wFRAgIBm4QAAVgCAgGyAd4BmAER
-        Af8B2wGUAREB/wHXAY4BEQH/AdcBjgERAf8B1wGOAREB/wH7AfYB6wX/AdcBjgERAf8B1wGOAREB/wHX
-        AY4BEQH/AdYBjQERAf8BxAGBAREB/wGpAXIBEQH/CAABWAICAbIBEQEbAe8B/wIRAe0B/wIRAekB/wIR
-        AekB/wLhAfwB/wIRAekB/wIRAekB/wIRAekB/wKBAfMB/wIRAekB/wIRAegB/wIRAdoB/wERARkBnQH/
-        jAABSwEwAREB/wHdAZcBEQH/AdsBlAERAf8B2wGUAREB/wHbAZQBEQH/AdsBlAERAf8B3AGXARcB/wHb
-        AZQBEQH/AdsBlAERAf8B1QGMAREB/wHJAYEBEQH/AdEBiAERAf8BLAIRAfwMAAIRAUUB/wIRAe8B/wIR
-        Ae0B/wIRAe0B/wIRAe0B/wIRAe0B/wIRAe0B/wIRAe0B/wIRAe0B/wIRAegB/wIRAd4B/wERASQB4gH/
-        ASwCEQH8jAABGQIBASEBkAFlAREB/wHfAZkBEQH/AdsBlAERAf8B2QGRAREB/wHYAZABEQH/AdgBkAER
-        Af8B0wGKAREB/wHQAYYBEQH/Ac4BgwERAf8B2gGSAREB/wEcARcBEQH/EAABGQIBASECEQGHAf8BEQEX
-        AfEB/wIRAe0B/wIRAewB/wIRAesB/wIRAesB/wIRAeYB/wIRAeQB/wIRAeIB/wERAS4B5gH/AhEBGwH/
-        lAABEgIBARYBNgEoAREB/wHSAYkBEQH/AeIBnQERAf8B2QGRAREB/wHXAY4BEQH/AdUBjAERAf8B4QGb
-        AREB/wHOAYQBEQH/ASICEQH+GAABEgIBARYCEQE1Af8BEQEXAdMB/wERASgB9AH/AhEB7AH/AhEB6QH/
-        AREBEgHoAf8BEQEwAfAB/wIRAcwB/wEiAhEB/qAAAUYCAQF9AxEB/wFiAUkBEQH/AYEBYgERAf8BQwE0
-        AREB/wEiAhEB/gEUAgEBGiQAAUYCAQF9AxEB/wIRAWUB/wIRAYEB/wIRAUUB/wEiAhEB/gEUAgEBGv8A
+        AwABEAMAAQEBAAEgBgABECoAAUMCAQF0AWICCQHxAxUB/wFiAgMB1AEgAgEBLCwAAUMCAQF0AWICCQHx
+        AxUB/wFiAgMB1AEgAgEBLKQAAV8CCgHyAZMBbwEVAf8BvwGBARUB/wG9AYEBFQH/AboBgQEVAf8BuAF/
+        ARUB/wG2AX0BFQH/AUkBMgEVAf8BPQIBAWUcAAFfAgoB8gIVAaQB/wIVAdYB/wIVAdQB/wIVAdIB/wIV
+        AdAB/wIVAc4B/wIVAVAB/wE9AgEBZZgAAR8BGwEVAf8BxwGBARUB/wHDAYEBFQH/AbEBdwEVAf8BsQF3
+        ARUB/wGxAXcBFQH/AbEBdwEVAf8BswF5ARUB/wG2AX0BFQH/AbQBegEVAf8BZAIFAeQUAAIVASAB/wIV
+        AdwB/wIVAdkB/wIVAcoB/wIVAcoB/wIVAcoB/wIVAcoB/wIVAcsB/wIVAc4B/wIVAcwB/wFkAgUB5JAA
+        AxUB/wHLAYEBFQH/AbsBgQEVAf8BtgF9ARUB/wG2AX0BFQH/Ae4B3AHEBf8BvgGBATIB/wG2AX0BFQH/
+        AbYBfQEVAf8BtgF9ARUB/wG0AXoBFQH/AUkCAgGGDAADFQH/AhUB4AH/AhUB0gH/AhUBzgH/AkIB1gH/
+        AhUBzgH/AhUBzgH/AhUBzgH/AhgBzgH/AhUBzgH/AhUBzgH/AhUBzAH/AUkCAgGGiAABLAIBAUIB0AGG
+        ARUB/wHHAYEBFQH/AboBgQEVAf8BugGBARUB/wG6AYEBFQH/AdABnAFmBf8BugGBARUB/wG6AYEBFQH/
+        AboBgQEVAf8BugGBARUB/wG2AX0BFQH/AWkBRAEVAf8IAAEsAgEBQgIVAeQB/wIVAdwB/wIVAdIB/wKf
+        Ae0F/wJbAd4B/wIVAdIB/wL0Af0F/wIYAdIB/wIVAdIB/wIVAc4B/wIVAXQB/4gAAxUB/wHSAYkBFQH/
+        Ab8BgQEVAf8BvwGBARUB/wG/AYEBFQH/Ab8BgQEVAf8B0wGfAWYF/wG/AYEBFQH/Ab8BgQEVAf8BvwGB
+        ARUB/wG/AYEBFQH/Ab4BgQEVAf8BtgF9ARUB/wE2AgEBVwQAAxUB/wIVAeUB/wIVAdYB/wIVAdYN/wL1
+        Af0J/wLiAfoB/wIVAdYB/wIVAdUB/wIVAc4B/wE2AgEBV4QAAV0BRQEVAf8B1AGMARUB/wHEAYEBFQH/
+        AcQBgQEVAf8BxAGBARUB/wHEAYEBFQH/AdcBpAFnBf8BxAGBARUB/wHEAYEBFQH/AcQBgQEVAf8BxAGB
+        ARUB/wHEAYEBFQH/AbgBfwEVAf8BZQIHAewEAAIVAWMB/wIVAegB/wIVAdoB/wIVAdoB/wIVAdoR/wLi
+        AfoB/wIVAdoB/wIVAdoB/wIVAdoB/wIVAdAB/wFlAgcB7IQAAX0BWgEVAf8B1wGOARUB/wHJAYEBFQH/
+        AckBgQEVAf8ByQGBARUB/wHJAYEBFQn/AckBgQEVAf8ByQGBARUB/wHJAYEBFQH/AckBgQEVAf8ByQGB
+        ARUB/wG6AYEBFQH/AxUB/wQAAhUBgQH/AhUB6QH/AhUB3gH/AhUB3gH/AhUB3gH/AvQB/Q3/AlsB5wH/
+        AhUB3gH/AhUB3gH/AhUB3gH/AhUB0gH/AxUB/4QAAW0BSwEVAf8B2QGRARUB/wHOAYMBFQH/Ac4BgwEV
+        Af8BzgGDARUB/wHOAYMBFQH/Ac4BgwEVAf8B1wGcAUYB/wHOAYMBFQH/Ac4BgwEVAf8BzgGDARUB/wHO
+        AYMBFQH/Ac4BgwEVAf8BvQGBARUB/wFFAhMB+QQAARUBGgFsAf8CFQHsAf8CFQHiAf8CFQHiAf8C9AH9
+        Ff8CWwHqAf8CFQHiAf8CFQHiAf8CFQHUAf8BRQITAfmEAAEYARYBFQH/AdsBlAEVAf8B0gGJARUB/wHS
+        AYkBFQH/AdIBiQEVAf8B0gGJARUB/wHSAYkBFQH/AesBywGQAf8B0gGJARUB/wHSAYkBFQH/AdIBiQEV
+        Af8B0gGJARUB/wHEAYEBFQH/Ab8BgQEVAf8BUQICAZsEAAIVARgB/wIVAe0B/wIVAeYB/wIVAeUB/wL9
+        Af4F/wLiAfwB/wIVAeUJ/wKBAfEB/wIVAeUB/wIVAdoB/wIVAdYB/wFRAgIBm4QAAVgCAgGyAd4BmAEV
+        Af8B2wGUARUB/wHXAY4BFQH/AdcBjgEVAf8B1wGOARUB/wH7AfYB6wX/AdcBjgEVAf8B1wGOARUB/wHX
+        AY4BFQH/AdYBjQEVAf8BxAGBARUB/wGpAXYBFQH/CAABWAICAbIBFQEfAe8B/wIVAe0B/wIVAekB/wIV
+        AekB/wLhAfwB/wIVAekB/wIVAekB/wIVAekB/wKBAfMB/wIVAekB/wIVAegB/wIVAdoB/wEVAR0BnQH/
+        jAABTwE0ARUB/wHdAZcBFQH/AdsBlAEVAf8B2wGUARUB/wHbAZQBFQH/AdsBlAEVAf8B3AGXARsB/wHb
+        AZQBFQH/AdsBlAEVAf8B1QGMARUB/wHJAYEBFQH/AdEBiAEVAf8BLAIVAfwMAAIVAUkB/wIVAe8B/wIV
+        Ae0B/wIVAe0B/wIVAe0B/wIVAe0B/wIVAe0B/wIVAe0B/wIVAe0B/wIVAegB/wIVAd4B/wEVASgB4gH/
+        ASwCFQH8jAABGQIBASEBkAFpARUB/wHfAZkBFQH/AdsBlAEVAf8B2QGRARUB/wHYAZABFQH/AdgBkAEV
+        Af8B0wGKARUB/wHQAYYBFQH/Ac4BgwEVAf8B2gGSARUB/wEgARsBFQH/EAABGQIBASECFQGHAf8BFQEb
+        AfEB/wIVAe0B/wIVAewB/wIVAesB/wIVAesB/wIVAeYB/wIVAeQB/wIVAeIB/wEVATIB5gH/AhUBHwH/
+        lAABEgIBARYBOgEsARUB/wHSAYkBFQH/AeIBnQEVAf8B2QGRARUB/wHXAY4BFQH/AdUBjAEVAf8B4QGb
+        ARUB/wHOAYQBFQH/ASoCFQH+GAABEgIBARYCFQE5Af8BFQEbAdMB/wEVASwB9AH/AhUB7AH/AhUB6QH/
+        ARUBFgHoAf8BFQE0AfAB/wIVAcwB/wEqAhUB/qAAAUYCAQF9AxUB/wFmAU0BFQH/AYEBZgEVAf8BRwE4
+        ARUB/wEqAhUB/gEUAgEBGiQAAUYCAQF9AxUB/wIVAWkB/wIVAYEB/wIVAUkB/wEqAhUB/gEUAgEBGv8A
         kQABQgFNAT4HAAE+AwABKAMAAUADAAEQAwABAQEAAQEFAAGAFwAD/wEAAfwBHwH8AR8EAAHwAQcB8AEH
         BAAB4AEDAeABAwQAAcABAQHAAQEEAAGAAQEBgAEBBAABgAEAAYAFAAGAAQABgAUAAYABAAGABQABgAEA
